# $POEM: el7/libdb1/SPECS/libdb1.spec 129 2020-12-13 06:04:45Z staff7 $

Summary: The Berkeley DB database library for C
Name: libdb1
Version: 1.85
Release: poem%{?dist}
Source0: http://download.oracle.com/berkeley-db/db.1.85.tar.gz
# Brought from gentoo distfiles 
#Patch0: http://ftp.iij.ad.jp/pub/linux/gentoo/distfiles/db-1.85-r3.1.patch.bz2
Patch0: db-1.85-r3.1.patch
Patch1: db-1.85-el-path.patch

URL: http://www.oracle.com/database/berkeley-db/
License: BSD Sleepycat
Group: System Environment/Libraries
BuildRequires: libtool

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. The Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching, and database
recovery.

%prep
%setup -q -n db.%{version}

%patch0 -p1 -b .gentoo
%patch1 -p1 -b .el-path

%build

make -C PORT/%{_os} OORG="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}

# Force off stripping of installed binaries
%makeinstall STRIP=/bin/true -C PORT/linux

chmod +x ${RPM_BUILD_ROOT}%{_libdir}/*.so*

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/db1_dump185
%dir %{_includedir}/libdb1
%{_includedir}/libdb1/db.h
%{_includedir}/libdb1/ndbm.h
%{_includedir}/libdb1/mpool.h
%{_includedir}/db1.h
%{_libdir}/libdb1.a
%{_libdir}/libdb1.so
%{_libdir}/libdb1.so.2

%changelog
* Sun Dec 13 2020 Yasuhito FUTATSUKI <futatuki@poem.co.jp> 1.85
- Modify for Berkeley DB 1.85 only, minimum package

* Wed Jan 30 2019 Petr Kubat <pkubat@redhat.com> 5.3.21-25
- Optimize trickle thread CPU usage (#1608749)

* Thu Jan 11 2018 Matej Mužila <mmuzila@redhat.com> - 5.3.21-24
- Link db_dump185 with %{__global_ldflags}. Resolves: rhbz#1460077

* Tue Dec 19 2017 Matej Mužila <mmuzila@redhat.com> - 5.3.21-23
- Mention in man page that care should be taken when running db_hotbackup
  with -c option. Resolves: rhbz#1460077

* Tue Oct 31 2017 Petr Kubat <pkubat@redhat.com> 5.3.21-22
- Fix deadlocks when reading/writing off-page duplicate tree (#1349779)

* Thu Sep 07 2017 Petr Kubat <pkubat@redhat.com> 5.3.21-21
- Fail properly when encountering removed or 0-byte regions (#1471011)

* Mon Mar 20 2017 Petr Kubat <pkubat@redhat.com> 5.3.21-20
- Add man pages for libdb-utils (#1395665)

* Wed Dec 14 2016 Petr Kubat <pkubat@redhat.com> - 5.3.21-20
- Fix mutexes not being released properly (#1277887)

* Thu Sep 03 2015 Jan Stanek <jstanek@redhat.com> - 5.3.21-19
- Add patch to workaround issues on large systems (>1024 CPU)
  Resolves: #1245410

* Thu Jul 24 2014 Honza Horak <hhorak@redhat.com> - 5.3.21-18
- Concurrent access due to a race in CDB
  Resolves: #1099509

* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 5.3.21-17
- Mass rebuild 2014-01-24

* Thu Jan 16 2014 Jan Stanek <jstanek@redhat.com> - 5.3.21-16
- Added Obsoletes in order to override unsupported db4 versions

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 5.3.21-15
- Mass rebuild 2013-12-27

* Tue Nov 05 2013 Jan Stanek <jstanek@redhat.com> - 5.3.21-14
- Backported fix for possible signed overflow (#1026878)

* Tue Nov 05 2013 Jan Stanek <jstanek@redhat.com> - 5.3.21-13
- Updated config files for the aarch64 (#1023795)

* Wed Oct 23 2013 Jan Stanek <jstanek@redhat.com> - 5.3.21-12
- Added Sleepycat to the license list

* Thu May 16 2013 Jan Stanek <jstanek@redhat.com> - 5.3.21-11
- Fix missing debuginfo issue for utils subpackage

* Thu May  9 2013 Tom Callaway <spot@fedoraproject.org> - 5.3.21-10
- add license clarification fix

* Wed Apr 03 2013 Jan Stanek <jstanek@redhat.com> 5.3.21-9
- Added sqlite compability CFLAGS (#788496)

* Wed Mar 27 2013 Jan Stanek <jstanek@redhat.com> 5.3.21-8
- Cleaning the specfile - removed gcc-java dependecy other way

* Wed Mar 27 2013 Jan Stanek <jstanek@redhat.com> 5.3.21-7
- Removed dependency on obsolete gcc-java package (#927742)

* Thu Mar  7 2013 Jindrich Novy <jnovy@redhat.com> 5.3.21-6
- add LGPLv2+ and remove Sleepycat in license tag (#886838)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3.21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 Tom Callaway <spot@fedoraproject.org> - 5.3.21-4
- fix license tag

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jul 14 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 5.3.21-2
- Specify tag for libtool (fixes FTBFS # 838334 )

* Thu Jul  5 2012 Jindrich Novy <jnovy@redhat.com> 5.3.21-1
- update to 5.3.21
http://download.oracle.com/otndocs/products/berkeleydb/html/changelog_5_3.html

* Tue Jul  3 2012 Jindrich Novy <jnovy@redhat.com> 5.3.15-5
- move C++ header files to cxx-devel

* Tue Jul  3 2012 Jindrich Novy <jnovy@redhat.com> 5.3.15-4
- fix -devel packages dependencies yet more (#832225)

* Sun May  6 2012 Jindrich Novy <jnovy@redhat.com> 5.3.15-3
- package -devel packages correctly

* Sat Apr 21 2012 Jindrich Novy <jnovy@redhat.com> 5.3.15-2
- fix multiarch conflict in libdb-devel (#812901)
- remove unneeded dos2unix BR

* Thu Mar 15 2012 Jindrich Novy <jnovy@redhat.com> 5.3.15-1
- update to 5.3.15
  http://download.oracle.com/otndocs/products/berkeleydb/html/changelog_5_3.html

* Fri Feb 17 2012 Deepak Bhole <dbhole@redhat.com> 5.2.36-5
- Resolves rhbz#794472
- Patch from Omair Majid <omajid@redhat.com> to remove explicit Java 6 req.

* Wed Jan 25 2012 Harald Hoyer <harald@redhat.com> 5.2.36-4
- add filesystem guard

* Wed Jan 25 2012 Harald Hoyer <harald@redhat.com> 5.2.36-3
- install everything in /usr
  https://fedoraproject.org/wiki/Features/UsrMove

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 15 2011 Jindrich Novy <jnovy@redhat.com> 5.2.36-1
- update to 5.2.36,
  http://download.oracle.com/otndocs/products/berkeleydb/html/changelog_5_2.html#id3647664

* Wed Jun 15 2011 Jindrich Novy <jnovy@redhat.com> 5.2.28-2
- move development documentation to devel-doc subpackage (#705386)

* Tue Jun 14 2011 Jindrich Novy <jnovy@redhat.com> 5.2.28-1
- update to 5.2.28

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb  3 2011 Jindrich Novy <jnovy@redhat.com> 5.1.25-1
- update to 5.1.25

* Wed Sep 29 2010 jkeating - 5.1.19-2
- Rebuilt for gcc bug 634757

* Fri Sep 10 2010 Jindrich Novy <jnovy@redhat.com> 5.1.19-1
- update to 5.1.19
- rename -devel-static to -static subpackage (#617800)
- build java on all arches

* Wed Jul  7 2010 Jindrich Novy <jnovy@redhat.com> 5.0.26-1
- update to 5.0.26
- drop BR: ed

* Thu Jun 17 2010 Jindrich Novy <jnovy@redhat.com> 5.0.21-2
- add Requires: libdb-cxx to libdb-devel

* Wed Apr 21 2010 Jindrich Novy <jnovy@redhat.com> 5.0.21-1
- initial build

* Thu Apr 15 2010 Jindrich Novy <jnovy@redhat.com> 5.0.21-0.2
- remove C# documentation
- disable/remove rpath
- fix description
- tighten dependencies
- run ldconfig for cxx and sql subpackages

* Fri Apr  9 2010 Jindrich Novy <jnovy@redhat.com> 5.0.21-0.1
- enable sql
- package 5.0.21
